Subject: 28.0.50; [feature request] vc command for branch creation, with customization by prefix arg

From: Filipp Gunbin <[email-masked]>
Date: Fri, 17 Sep 2021 18:12:40 +0300

Currently, vc-create-tag creates a branch when given C-u.  With
distributed VCSes like Git, branch creation is a very frequent operation
to be worth a separate command.

The command could have a mode for specifying START-POINT, so for Git the
command becomes "git checkout -b new-branch-name START-POINT".  This
could be on C-u (unless there're other frequent "customization" cases).

Thanks.